View Issue Details

IDProjectCategoryView StatusLast Update
0004013SketcherBugpublic2019-06-22 07:58
ReporteropenBrainAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version 
Summary0004013: Sketcher falsely reports line already constrained (horizontal/vertical)
DescriptionSketcher wrongly reports a line already constrained vertical (horizontal) when one of its endpoint is already set vertical (horizontal) with another endpoint of the sketch.
This happens only in continuous mode.
---
Forum thread
Steps To ReproduceTo reproduce, consider the simple sketch screenshot below (also attached as FCStd file):

* Select the vertical constraint and apply on the upper left line => Sketcher (wrongly) reports the line has being already constrained vertical
* Select the horizontal constraint and apply on the upper left line => Sketcher (wrongly) reports the line has being already constrained horizontal
The weird thing is that if you first select the line, then apply the constraint (horizontal or vertical), everything works as expected.
Additional InformationOS: Ubuntu 18.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.1.
Build type: Release
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/France (fr_FR)
Tagsconstraints, sketcher

Activities

openBrain

2019-06-09 14:31

developer  

bug_constraint.FCStd (5,209 bytes)

Kunda1

2019-06-10 11:51

administrator  

ticket-4013.png (3,572 bytes)
ticket-4013.png (3,572 bytes)

openBrain

2019-06-10 17:35

developer   ~0013173

Last edited: 2019-06-10 17:45

View 4 revisions

@Kunda1 : sorry for all the work of rewriting. I wish I could edit it myself. ;)

Kunda1

2019-06-10 17:40

administrator   ~0013174

@openBrain updated your permissions, I think you can edit tickets now, please check.

openBrain

2019-06-10 17:47

developer   ~0013175

@Kunda1 confirmed. Thanks. Hopefully that will save you some time. ;)
BTW : Is displaying external images supported by some way in MantisBT ?

abdullah

2019-06-22 06:23

manager   ~0013292

https://github.com/FreeCAD/FreeCAD/pull/2284

abdullah

2019-06-22 07:58

manager   ~0013293

Fix committed to master branch.

Related Changesets

FreeCAD: master 3810381d

2019-06-22 06:17:51

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: fixes no horizontal/vertical on segment after horizontal/vertical alignment

=====================================================================================

Selecting first the horizontal/vertical constraint and applying to a line segment with
a previous horizontal/vertical alignment constraint caused FreeCAD to refuse applying it.

fixes 0004013
Affected Issues
0004013
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2019-06-09 14:31 openBrain New Issue
2019-06-09 14:31 openBrain Tag Attached: constraints
2019-06-09 14:31 openBrain Tag Attached: sketcher
2019-06-09 14:31 openBrain File Added: bug_constraint.FCStd
2019-06-10 11:49 Kunda1 Summary Sketcher falsely report line already constrained (horizontal/vertical) => Sketcher falsely reports line already constrained (horizontal/vertical)
2019-06-10 11:49 Kunda1 Description Updated View Revisions
2019-06-10 11:49 Kunda1 Steps to Reproduce Updated View Revisions
2019-06-10 11:49 Kunda1 Additional Information Updated View Revisions
2019-06-10 11:50 Kunda1 Description Updated View Revisions
2019-06-10 11:50 Kunda1 Steps to Reproduce Updated View Revisions
2019-06-10 11:51 Kunda1 File Added: ticket-4013.png
2019-06-10 11:52 Kunda1 Status new => confirmed
2019-06-10 11:52 Kunda1 Target Version => 0.19
2019-06-10 17:35 openBrain Note Added: 0013173
2019-06-10 17:37 openBrain Note Edited: 0013173 View Revisions
2019-06-10 17:40 Kunda1 Note Added: 0013174
2019-06-10 17:41 openBrain Note Edited: 0013173 View Revisions
2019-06-10 17:45 openBrain Note Edited: 0013173 View Revisions
2019-06-10 17:47 openBrain Note Added: 0013175
2019-06-22 06:23 abdullah Note Added: 0013292
2019-06-22 07:58 abdullah Changeset attached => FreeCAD master 3810381d
2019-06-22 07:58 abdullah Note Added: 0013293
2019-06-22 07:58 abdullah Assigned To => abdullah
2019-06-22 07:58 abdullah Status confirmed => closed
2019-06-22 07:58 abdullah Resolution open => fixed